<p class="topic">
<a id="Select_Components_to_Add"> </a>
Select Components to Add
</p>

<p class="text">
Select a component from the list. By default, the list contains the following components:
</p>
<br />
<p class="caption">
<a id="Components_Available_for_Chaining"> </a>
Table  2	&nbsp;&nbsp; Components Available for Chaining &nbsp;

</p>

<br/>
<table width="90%" border="1" cellspacing="0" cellpadding="4">
<tr bgcolor="#CCCCCC" align="left" valign="top">
<th valign="top" align="left">
<p class="tablehead">
Component DN
</p>
</th>
<th valign="top" align="left">
<p class="tablehead">
Description
</p>
</th>

</tr>
<tr>
<td valign="top">
<p class="tabletext">
cn=resource limits,<br />cn=components, cn=config
</p></td>
<td valign="top">
<p class="tabletext">
Resource limits plug-in. 
</p><p class="tabletext">
Resource limits can be applied to remote users if the resource limit plug-in is allowed to chain.
</p></td>
  
</tr>
<tr>
<td valign="top">
<p class="tabletext">
cn=certificate-based authentication<br />cn=components, cn=config
</p></td>
<td valign="top">
<p class="tabletext">
Certificate-based authentication plug-in. 
</p><p class="tabletext">
This component is used when the SASL-external bind method is used. It retrieves the user certificate from the local remote data source. If you allow this component to chain, certificate-based authentication can work with a database link.
</p></td>
  
</tr>
<tr>
<td valign="top">
<p class="tabletext">
cn=ACL plugin, cn=plugins, cn=config
</p></td>
<td valign="top">
<p class="tabletext">
ACL plug-in. 
</p><p class="tabletext">
Operations used to retrieve and update ACI attributes are not chained because it is not safe to mix local and remote ACI attributes. However, requests used to retrieve user entries may be chained.
</p></td>
  
</tr>
<tr>
<td valign="top">
<p class="tabletext">
cn=old plugin, cn=plugins, cn=config
</p></td>
<td valign="top">
<p class="tabletext">
Directory Server plug-ins.
</p><p class="tabletext">
All Directory Server plug-ins share the same chaining policy, so selecting this option from the list enables them all to chain.
</p></td>
  
</tr>
<tr>
<td valign="top">
<p class="tabletext">
cn=referential integrity postoperation,<br />cn=plugins, cn=config
</p></td>
<td valign="top">
<p class="tabletext">
Referential integrity plug-in.
</p><p class="tabletext">
This plug-in ensures that updates made to attributes containing DNs are propagated to all entries that contain pointers to the attribute. For example, if you delete an entry that is a member of a group, the entry is automatically removed from the group.
</p></td>
  
</tr>
<tr>
<td valign="top">
<p class="tabletext">
cn=attribute uniqueness, cn=plugins,<br />cn=config
</p></td>
<td valign="top">
<p class="tabletext">
Attribute uniqueness plug-in.
</p><p class="tabletext">
Confirms that the value of a particular attribute is unique across the local server.
</p></td>
  
</tr>

</table>
